WordPress.org

Support

Support » Plugins and Hacks » StatSurfer » [Plugin: StatSurfer] Minimum capability required

[Plugin: StatSurfer] Minimum capability required

  • Hi,
    You ask for minimum capability to be ‘level_8’, which is not used by WordPress…
    You should ask for a specific ‘manage_stats’ capability and associate it to administrators by default, so this capability will be available for other users too via a plugin like Role Manager…

    So, you should replace ‘level_8’ with ‘manage_stats’ at line 150 of statsurfer.php file.

    Then, StatSurfer_CreateTable should contain:
    if ($user = get_role (‘administrator’)) $user->add_cap (‘manage_stats’);

    http://wordpress.org/extend/plugins/statsurfer/

Viewing 1 replies (of 1 total)
  • Or simply activate the user lever support via the existing function iri_dropdown_caps…
    Thanks

Viewing 1 replies (of 1 total)
  • The topic ‘[Plugin: StatSurfer] Minimum capability required’ is closed to new replies.
Skip to toolbar